LINUX.ORG.RU

Не устанавливается Wine

 ,


0

2

Только что поставил Calculate Linux на реальное железо, думаю а давай что нибудь установим. Например Wine.

Знаю что есть команда emerge, вот и пишу emerge wine

А оно не ставится, что делать?

calculate /home/maintainer # emerge wine 

Local copy of remote index is up-to-date and will be used.

 * IMPORTANT: 10 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.


 * IMPORTANT: config file '/etc/portage/package.unmask/zz-autounmask' needs updating.
 * See the CONFIGURATION FILES and CONFIGURATION FILES UPDATE TOOLS
 * sections of the emerge man page to learn how to update config files.
Calculating dependencies... done!

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-lang/perl:0

  (dev-lang/perl-5.26.2:0/5.26::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (dev-lang/perl-5.28.9999:0/5.28::gentoo, ebuild scheduled for merge) pulled in by
    dev-lang/perl:0/5.28= required by (dev-perl/Try-Tiny-0.300.0:0/0::gentoo, binary scheduled for merge)
                 ^^^^^^^^                                                                                                                    
    =dev-lang/perl-5.28* required by (virtual/perl-Test-Harness-3.420.0-r1:0/0::gentoo, binary scheduled for merge)
    ^              ^^^^^                                                                                                                                                  
    (and 95 more with the same problems)

media-libs/gstreamer:1.0

  (media-libs/gstreamer-1.14.1:1.0/1.0::gentoo, installed) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (media-libs/gstreamer-1.14.4:1.0/1.0::gentoo, binary scheduled for merge) pulled in by
    >=media-libs/gstreamer-1.14.4:1.0[abi_x86_64(-)] required by (media-plugins/gst-plugins-libav-1.14.4.4.1.3_p20190329:1.0/1.0::gentoo, binary scheduled for merge)
    ^^                     ^^^^^^^^^^                                                                                                                                                                                                          
    (and 3 more with the same problem)

media-libs/gst-plugins-base:1.0

  (media-libs/gst-plugins-base-1.14.1:1.0/1.0::gentoo, installed) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (media-libs/gst-plugins-base-1.14.4-r1:1.0/1.0::gentoo, binary scheduled for merge) pulled in by
    >=media-libs/gst-plugins-base-1.14.4:1.0[abi_x86_64(-)] required by (media-plugins/gst-plugins-libav-1.14.4.4.1.3_p20190329:1.0/1.0::gentoo, binary scheduled for merge)
    ^^                            ^^^^^^^^^^                                                                                                                                                                                                          
    (and 2 more with the same problem)

media-libs/alsa-lib:0

  (media-libs/alsa-lib-1.1.6-r1:0/0::gentoo, installed) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (media-libs/alsa-lib-1.1.8:0/0::gentoo, binary scheduled for merge) pulled in by
    >=media-libs/alsa-lib-1.1.8:0/0=[abi_x86_32(-),abi_x86_64(-)] required by (media-plugins/alsa-plugins-1.1.8:0/0::gentoo, binary scheduled for merge)
    ^^                    ^^^^^^^^^^                                                                                                                                                                                              

media-libs/babl:0

  (media-libs/babl-0.1.56:0/0::gentoo, installed) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (media-libs/babl-0.1.66:0/0::gentoo, binary scheduled for merge) pulled in by
    >=media-libs/babl-0.1.62 required by (media-libs/gegl-0.4.16:0.4/0.4::gentoo, binary scheduled for merge)
    ^^                ^^^^^^                                                                                                                                        

media-libs/openjpeg:2

  (media-libs/openjpeg-2.3.0:2/7::gentoo, installed) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (media-libs/openjpeg-2.3.1:2/7::gentoo, binary scheduled for merge) pulled in by
    >=media-libs/openjpeg-2.3.0-r1:2/7= required by (app-text/poppler-0.77.0:0/88::gentoo, binary scheduled for merge)
    ^^                    ^^^^^^^^^^^^^                                                                                                                                                         

dev-libs/nss:0

  (dev-libs/nss-3.41:0/0::gentoo, installed) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (dev-libs/nss-3.44.1:0/0::gentoo, binary scheduled for merge) pulled in by
    >=dev-libs/nss-3.44.1 required by (www-client/firefox-68.0.1:0/0::gentoo, binary scheduled for merge)
    ^^             ^^^^^^                                                                                                                                       

dev-libs/nspr:0

  (dev-libs/nspr-4.20:0/0::gentoo, installed) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (dev-libs/nspr-4.21:0/0::gentoo, binary scheduled for merge) pulled in by
    >=dev-libs/nspr-4.21 required by (www-client/firefox-68.0.1:0/0::gentoo, binary scheduled for merge)
    ^^              ^^^^                                                                                                                                       

media-gfx/graphite2:0

  (media-gfx/graphite2-1.3.10:0/0::gentoo, installed) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (media-gfx/graphite2-1.3.13:0/0::gentoo, binary scheduled for merge) pulled in by
    >=media-gfx/graphite2-1.3.13 required by (www-client/firefox-68.0.1:0/0::gentoo, binary scheduled for merge)
    ^^                    ^^^^^^                                                                                                                                       

dev-db/sqlite:3

  (dev-db/sqlite-3.25.3:3/3::gentoo, installed) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (dev-db/sqlite-3.28.0:3/3::gentoo, binary scheduled for merge) pulled in by
    >=dev-db/sqlite-3.28.0:3[secure-delete,-debug] required by (www-client/firefox-68.0.1:0/0::gentoo, binary scheduled for merge)
    ^^              ^^^^^^^^                                                                                                                                                                                

media-libs/libwebp:0

  (media-libs/libwebp-1.0.0:0/7::gentoo, installed) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (media-libs/libwebp-1.0.2:0/7::gentoo, binary scheduled for merge) pulled in by
    >=media-libs/libwebp-1.0.2:0/7= required by (www-client/firefox-68.0.1:0/0::gentoo, binary scheduled for merge)
    ^^                   ^^^^^^^^^^                                                                                                                                                          

NOTE: Use the '--verbose-conflicts' option to display parents omitted above

It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


The following packages are causing rebuilds:

  (dev-lang/perl-5.28.9999:0/5.28::gentoo, ebuild scheduled for merge) causes rebuilds for:
    (dev-perl/Text-Iconv-1.700.0-r2:0/0::gentoo, binary scheduled for merge)
    (virtual/perl-Time-Local-1.250.0-r1:0/0::gentoo, binary scheduled for merge)
    (virtual/perl-File-Temp-0.230.400-r5:0/0::gentoo, binary scheduled for merge)
    (dev-perl/Tie-IxHash-1.230.0:0/0::gentoo, binary scheduled for merge)
    (net-print/foomatic-db-engine-4.0.12:0/0::gentoo, binary scheduled for merge)
    (virtual/perl-Scalar-List-Utils-1.500.0-r1:0/0::gentoo, binary scheduled for merge)
    (virtual/perl-Encode-2.970.0:0/0::gentoo, binary scheduled for merge)
    (virtual/perl-File-Spec-3.740.0:0/0::gentoo, binary scheduled for merge)
    (dev-perl/XML-Twig-3.520.0:0/0::gentoo, binary scheduled for merge)
    (dev-python/subunit-1.2.0-r1:0/0::gentoo, binary scheduled for merge)
    (dev-perl/HTML-Tagset-3.200.0-r1:0/0::gentoo, binary scheduled for merge)
    (dev-perl/Socket6-0.280.0:0/0::gentoo, binary scheduled for merge)
    (perl-core/File-Temp-0.230.400-r1:0/0::gentoo, binary scheduled for merge)
    (dev-perl/XML-NamespaceSupport-1.120.0:0/0::gentoo, binary scheduled for merge)
    (dev-perl/Try-Tiny-0.300.0:0/0::gentoo, binary scheduled for merge)
    (virtual/perl-Storable-3.80.100_rc:0/0::gentoo, binary scheduled for merge)
    (dev-perl/File-Listing-6.40.0-r1:0/0::gentoo, binary scheduled for merge)
    (dev-perl/File-MimeInfo-0.280.0:0/0::gentoo, binary scheduled for merge)
    (dev-perl/File-DesktopEntry-0.220.0:0/0::gentoo, binary scheduled for merge)
    (dev-perl/IO-Socket-SSL-2.52.0:0/0::gentoo, binary scheduled for merge)
    (dev-perl/XML-Simple-2.250.0:0/0::gentoo, binary scheduled for merge)
    (virtual/perl-Digest-1.170.100_rc-r8:0/0::gentoo, binary scheduled for merge)
    (dev-perl/LWP-MediaTypes-6.20.0-r1:0/0::gentoo, binary scheduled for merge)
    (virtual/perl-Compress-Raw-Zlib-2.76.0:0/0::gentoo, binary scheduled for merge)
    (dev-vcs/git-2.21.0:0/0::gentoo, binary scheduled for merge)
    (media-gfx/imagemagick-7.0.8.50:0/7.0.8.50::gentoo, binary scheduled for merge)
    (dev-perl/XML-SAX-1.0.0:0/0::gentoo, binary scheduled for merge)
    (dev-perl/Net-SSLeay-1.820.0:0/0::gentoo, binary scheduled for merge)
    (dev-perl/Net-HTTP-6.170.0:0/0::gentoo, binary scheduled for merge)
    (virtual/perl-Exporter-5.730.0-r1:0/0::gentoo, binary scheduled for merge)
    (virtual/perl-Time-HiRes-1.975.900:0/0::gentoo, binary scheduled for merge)
    (dev-perl/XML-SAX-Expat-0.510.0:0/0::gentoo, binary scheduled for merge)
    (dev-perl/URI-1.730.0:0/0::gentoo, binary scheduled for merge)
    (dev-perl/X11-Protocol-0.560.0-r1:0/0::gentoo, binary scheduled for merge)
    (virtual/perl-if-0.60.800-r1:0/0::gentoo, binary scheduled for merge)
    (dev-perl/libwww-perl-6.270.0:0/0::gentoo, binary scheduled for merge)
    (virtual/perl-Test-Harness-3.420.0-r1:0/0::gentoo, binary scheduled for merge)
    (virtual/perl-IO-Socket-IP-0.390.0-r1:0/0::gentoo, binary scheduled for merge)
    (dev-perl/HTTP-Cookies-6.40.0:0/0::gentoo, binary scheduled for merge)
    (virtual/perl-libnet-3.110.0-r1:0/0::gentoo, binary scheduled for merge)
    (dev-perl/CGI-4.400.0:0/0::gentoo, binary scheduled for merge)
    (dev-perl/HTML-Parser-3.720.0:0/0::gentoo, binary scheduled for merge)
    (dev-perl/Net-DBus-1.1.0:0/0::gentoo, binary scheduled for merge)
    (dev-perl/IO-Socket-INET6-2.720.0-r1:0/0::gentoo, binary scheduled for merge)
    (dev-perl/Encode-Locale-1.50.0:0/0::gentoo, binary scheduled for merge)
    (perl-core/File-Path-2.130.0:0/0::gentoo, binary scheduled for merge)
    (dev-perl/File-BaseDir-0.70.0:0/0::gentoo, binary scheduled for merge)
    (virtual/perl-MIME-Base64-3.150.0-r5:0/0::gentoo, binary scheduled for merge)
    (dev-perl/Crypt-PasswdMD5-1.400.0:0/0::gentoo, binary scheduled for merge)
    (virtual/perl-File-Path-2.130.0:0/0::gentoo, binary scheduled for merge)
    (dev-perl/XML-Parser-2.440.0:0/0::gentoo, binary scheduled for merge)
    (net-fs/samba-4.8.6-r2:0/0::gentoo, binary scheduled for merge)
    (dev-perl/HTTP-Negotiate-6.10.0-r1:0/0::gentoo, binary scheduled for merge)
    (virtual/perl-Compress-Raw-Bzip2-2.74.0-r1:0/0::gentoo, binary scheduled for merge)
    (dev-perl/HTTP-Date-6.20.0-r1:0/0::gentoo, binary scheduled for merge)
    (dev-perl/XML-SAX-Base-1.90.0:0/0::gentoo, binary scheduled for merge)
    (virtual/perl-IO-1.390.0:0/0::gentoo, binary scheduled for merge)
    (dev-perl/Sub-Name-0.210.0:0/0::gentoo, binary scheduled for merge)
    (dev-perl/LWP-Protocol-https-6.70.0:0/0::gentoo, binary scheduled for merge)
    (virtual/perl-XSLoader-0.300.0-r1:0/0::gentoo, binary scheduled for merge)
    (dev-perl/Digest-HMAC-1.30.0-r1:0/0::gentoo, binary scheduled for merge)
    (dev-perl/WWW-RobotRules-6.20.0-r1:0/0::gentoo, binary scheduled for merge)
    (virtual/perl-Carp-1.500.0-r1:0/0::gentoo, binary scheduled for merge)
    (dev-perl/Authen-SASL-2.160.0-r1:0/0::gentoo, binary scheduled for merge)
    (virtual/perl-Data-Dumper-2.170.0:0/0::gentoo, binary scheduled for merge)
    (virtual/perl-parent-0.236.0-r1:0/0::gentoo, binary scheduled for merge)
    (dev-perl/HTTP-Daemon-6.10.0-r2:0/0::gentoo, binary scheduled for merge)
    (dev-perl/IPC-System-Simple-1.250.0:0/0::gentoo, binary scheduled for merge)
    (virtual/perl-Digest-MD5-2.550.0-r1:0/0::gentoo, binary scheduled for merge)
    (dev-perl/HTTP-Message-6.130.0:0/0::gentoo, binary scheduled for merge)
    (dev-perl/IO-HTML-1.1.0:0/0::gentoo, binary scheduled for merge)
    (virtual/perl-IO-Compress-2.74.0-r1:0/0::gentoo, binary scheduled for merge)
    (dev-perl/MailTools-2.190.0:0/0::gentoo, binary scheduled for merge)
    (dev-perl/Error-0.170.250:0/0::gentoo, binary scheduled for merge)
    (dev-perl/Digest-SHA1-2.130.0-r1:0/0::gentoo, binary scheduled for merge)
    (dev-perl/TimeDate-2.300.0:0/0::gentoo, binary scheduled for merge)
    (dev-perl/XML-XPath-1.420.0:0/0::gentoo, binary scheduled for merge)
  (dev-libs/icu-64.2:0/64.2::gentoo, binary scheduled for merge) causes rebuilds for:
    (dev-qt/qtwebengine-5.12.3:5/5.12::gentoo, binary scheduled for merge)
    (media-libs/harfbuzz-2.5.3:0/0.9.18::gentoo, binary scheduled for merge)
    (media-libs/raptor-2.0.15-r2:2/2::gentoo, binary scheduled for merge)
    (media-libs/libcdr-0.1.5:0/0::gentoo, binary scheduled for merge)
    (dev-libs/boost-1.65.0:0/1.65.0::gentoo, binary scheduled for merge)
    (dev-libs/libical-3.0.5:0/3::gentoo, binary scheduled for merge)
    (app-text/libebook-0.1.2-r1:0/0::gentoo, binary scheduled for merge)
    (app-text/libqxp-0.0.2:0/0::gentoo, binary scheduled for merge)
    (dev-qt/qtcore-5.12.3:5/5.12::gentoo, binary scheduled for merge)
    (app-text/libmspub-0.1.4:0/0::gentoo, binary scheduled for merge)
    (www-client/firefox-68.0.1:0/0::gentoo, binary scheduled for merge)
    (media-libs/libvisio-0.1.6:0/0::gentoo, binary scheduled for merge)
    (dev-lang/spidermonkey-52.9.1_pre1:52/52::gentoo, binary scheduled for merge)
    (app-office/libreoffice-6.2.5.2:0/0::gentoo, binary scheduled for merge)
    (dev-qt/qtwebkit-5.212.0_pre20180120:5/5.212::gentoo, binary scheduled for merge)
    (dev-libs/libxml2-2.9.9-r1:2/2::gentoo, binary scheduled for merge)
    (media-libs/libzmf-0.0.2:0/0::gentoo, binary scheduled for merge)
  (media-video/ffmpeg-4.1.3:0/56.58.58::gentoo, binary scheduled for merge) causes rebuilds for:
    (dev-qt/qtwebengine-5.12.3:5/5.12::gentoo, binary scheduled for merge)
    (media-plugins/alsa-plugins-1.1.8:0/0::gentoo, binary scheduled for merge)
    (net-misc/freerdp-2.0.0_rc4:0/2::gentoo, binary scheduled for merge)
    (kde-frameworks/kfilemetadata-5.60.0:5/5.60::gentoo, binary scheduled for merge)
    (media-libs/libquicktime-1.2.4-r3:0/0::gentoo, binary scheduled for merge)
    (media-video/mplayer-1.3.0-r5:0/0::gentoo, binary scheduled for merge)
    (media-libs/gegl-0.3.34:0.3/0.3::gentoo, binary scheduled for merge)
    (media-libs/gegl-0.4.16:0.4/0.4::gentoo, binary scheduled for merge)
    (media-plugins/gst-plugins-libav-1.14.4.4.1.3_p20190329:1.0/1.0::gentoo, binary scheduled for merge)
    (kde-apps/ffmpegthumbs-19.04.3:5/5::gentoo, binary scheduled for merge)
    (media-libs/chromaprint-1.4.3:0/1::gentoo, binary scheduled for merge)
  (media-libs/openexr-2.3.0:0/24::gentoo, binary scheduled for merge) causes rebuilds for:
    (media-gfx/imagemagick-7.0.8.50:0/7.0.8.50::gentoo, binary scheduled for merge)
    (media-libs/gegl-0.3.34:0.3/0.3::gentoo, binary scheduled for merge)
    (media-libs/gegl-0.4.16:0.4/0.4::gentoo, binary scheduled for merge)
    (kde-apps/kio-extras-19.04.3:5/5::gentoo, binary scheduled for merge)
    (kde-frameworks/kimageformats-5.60.0:5/5.60::gentoo, binary scheduled for merge)
  (media-libs/libraw-0.19.3:0/19::gentoo, binary scheduled for merge) causes rebuilds for:
    (media-libs/gegl-0.3.34:0.3/0.3::gentoo, binary scheduled for merge)
    (media-libs/gegl-0.4.16:0.4/0.4::gentoo, binary scheduled for merge)
    (kde-apps/libkdcraw-19.04.3:5/5::gentoo, binary scheduled for merge)
  (app-text/poppler-0.77.0:0/88::gentoo, binary scheduled for merge) causes rebuilds for:
    (net-print/cups-filters-1.21.6:0/0::gentoo, binary scheduled for merge)
  (dev-libs/libical-3.0.5:0/3::gentoo, binary scheduled for merge) causes rebuilds for:
    (kde-apps/kcalcore-19.04.3:5/5::gentoo, binary scheduled for merge)
    (net-wireless/bluez-5.50-r2:0/3::gentoo, binary scheduled for merge)
    (kde-apps/kdepim-runtime-19.04.3:5/5::gentoo, binary scheduled for merge)
  (media-libs/x264-0.0.20190214:0/157::gentoo, binary scheduled for merge) causes rebuilds for:
    (media-video/ffmpeg-4.1.3:0/56.58.58::gentoo, binary scheduled for merge)
    (media-video/mplayer-1.3.0-r5:0/0::gentoo, binary scheduled for merge)
    (media-plugins/gst-plugins-x264-1.14.3:1.0/1.0::gentoo, binary scheduled for merge)
    (media-libs/libquicktime-1.2.4-r3:0/0::gentoo, binary scheduled for merge)
  (media-libs/libvpx-1.7.0:0/5::gentoo, binary scheduled for merge) causes rebuilds for:
    (media-video/ffmpeg-4.1.3:0/56.58.58::gentoo, binary scheduled for merge)
    (dev-qt/qtwebengine-5.12.3:5/5.12::gentoo, binary scheduled for merge)
    (www-client/firefox-68.0.1:0/0::gentoo, binary scheduled for merge)
    (media-plugins/gst-plugins-vpx-1.14.4:1.0/1.0::gentoo, binary scheduled for merge)
  (media-libs/ilmbase-2.3.0:0/24::gentoo, binary scheduled for merge) causes rebuilds for:
    (media-libs/openexr-2.3.0:0/24::gentoo, binary scheduled for merge)
    (kde-frameworks/kimageformats-5.60.0:5/5.60::gentoo, binary scheduled for merge)
  (dev-libs/json-c-0.13.1-r1:0/4::gentoo, binary scheduled for merge) causes rebuilds for:
    (media-libs/libmypaint-1.3.0-r2:0/0::gentoo, binary scheduled for merge)
    (net-wireless/bluez-5.50-r2:0/3::gentoo, binary scheduled for merge)
  (kde-frameworks/kglobalaccel-5.60.0:5/5.60::gentoo, binary scheduled for merge) causes rebuilds for:
    (kde-plasma/kwin-5.15.5:5/5::gentoo, binary scheduled for merge)
  (kde-frameworks/kidletime-5.60.0:5/5.60::gentoo, binary scheduled for merge) causes rebuilds for:
    (kde-plasma/kwin-5.15.5:5/5::gentoo, binary scheduled for merge)
  (dev-qt/qtgui-5.12.3-r1:5/5.12::gentoo, binary scheduled for merge) causes rebuilds for:
    (kde-plasma/kwin-5.15.5:5/5::gentoo, binary scheduled for merge)
  (media-gfx/exiv2-0.27.0-r2:0/27::gentoo, binary scheduled for merge) causes rebuilds for:
    (kde-apps/libkexiv2-19.04.3:5/5::gentoo, binary scheduled for merge)
    (kde-apps/gwenview-19.04.3:5/5::gentoo, binary scheduled for merge)
    (kde-frameworks/kfilemetadata-5.60.0:5/5.60::gentoo, binary scheduled for merge)
    (media-libs/gexiv2-0.10.10-r1:0/0::gentoo, binary scheduled for merge)
  (dev-qt/qtwidgets-5.12.3:5/5.12::gentoo, binary scheduled for merge) causes rebuilds for:
    (dev-qt/qtwebkit-5.212.0_pre20180120:5/5.212::gentoo, binary scheduled for merge)
  (app-text/qpdf-8.2.1:0/21::gentoo, binary scheduled for merge) causes rebuilds for:
    (net-print/cups-filters-1.21.6:0/0::gentoo, binary scheduled for merge)
  (dev-qt/qtcore-5.12.3:5/5.12::gentoo, binary scheduled for merge) causes rebuilds for:
    (kde-frameworks/kxmlgui-5.60.0:5/5.60::gentoo, binary scheduled for merge)
  (dev-libs/double-conversion-3.1.4-r1:0/3::gentoo, binary scheduled for merge) causes rebuilds for:
    (dev-qt/qtcore-5.12.3:5/5.12::gentoo, binary scheduled for merge)

The following keyword changes are necessary to proceed:
 (see "package.accept_keywords" in the portage(5) man page for more details)
# required by virtual/perl-parent-0.236.0-r1::gentoo
# required by dev-perl/URI-1.730.0::gentoo
# required by dev-perl/IO-Socket-SSL-2.52.0::gentoo
# required by dev-perl/LWP-Protocol-https-6.70.0::gentoo
# required by dev-perl/libwww-perl-6.270.0::gentoo
# required by dev-perl/XML-Twig-3.520.0::gentoo
# required by dev-perl/Net-DBus-1.1.0::gentoo
# required by @__auto_slot_operator_replace_installed__ (argument)
=dev-lang/perl-5.28.9999 **

NOTE: The --autounmask-keep-masks option will prevent emerge
      from creating package.unmask or ** keyword changes.

Use --autounmask-write to write changes to config files (honoring
CONFIG_PROTECT). Carefully examine the list of proposed changes,
paying special attention to mask or keyword changes that may expose
experimental or unstable packages.

 * In order to avoid wasting time, backtracking has terminated early
 * due to the above autounmask change(s). The --autounmask-backtrack=y
 * option can be used to force further backtracking, but there is no
 * guarantee that it will produce a solution.

!!! All ebuilds that could satisfy "=dev-lang/perl-5.28.2*" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-lang/perl-5.28.2-r1::gentoo (masked by: backtracking: slot conflict)

(dependency required by "virtual/perl-Storable-3.80.100_rc::gentoo" [binary])
(dependency required by "@__auto_slot_operator_replace_installed__" [argument])
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.

Перемещено leave из linux-install

Ответ на: комментарий от darkenshvein
calculate /home/maintainer # cl-update -s
Синхронизация репозиториев
 * Проверка текущего сервера обновлений ...                                                                                                                       [ ok ]
 * Проверка обновлений Distros ...                                                                                                                                [ ok ]
 * Проверка обновлений Calculate ...                                                                                                                              [ ok ]
 * Проверка обновлений Gentoo ...                                                                                                                                 [ ok ]
 * Синхронизация завершена
Конфигурация системы
 * Сервер обновлений https://mirror.yandex.ru/calculate
 * Обновление системы завершено!

Shulman ()
  • IMPORTANT: 10 news items need reading for repository ‘gentoo’.
  • Use eselect news read to view new items.

Начни с чтения новостей

eselect news list - список
eselect news read номер - чтение определённой новости.

Затем, используя рекомендации в новостях по каждому пункту (за исключением смены профиля) постарайся обновить уже установленную систему до актуального состояния. Затем можно уже пытаться ставить новые пакеты, если они тянут так много нового.

grem ★★★★★ ()

Вот именно так и начинается: «Аааа, у меня все сломалось»

  • Если используете emerge - то стоит использовать ключи -v -a - это позволит, как минимум, оценить объем работы
  • Так же стоит использовать ключ -1 - не стоит все пихать в мир
  • Обратите внимание, что вы размаскировали какой-то пакет «config file '/etc/portage/package.unmask/zz-autounmask' needs updating.» но процесс не завершили, выполните команду etc-update и посмотрите что же вы там натворили, может стоит отменить это действие, внимательно читайте что пишет программа
  • ну и читаем инструкциию https://old.calculate-linux.org/main/ru/add_and_remove_programs
Silerus ★★ ()
Ответ на: комментарий от darkenshvein

Так с параметром -s он просто дерево обновит. Теперь ему нужно запустить cl-update -p чтобы посмотреть что будет сделано и, если всё хорошо, то просто cl-update для обновления системы.

Затем уже ставить новые пакеты.

grem ★★★★★ ()
Последнее исправление: grem (всего исправлений: 1)
Ответ на: комментарий от darkenshvein

В генту репы можно не обновлять, но и инфу он из старого списка будет тянуть. А после обновления репы лучше сначала обновить всё, так как новый пакет может тянуть новые зависимости, которые будут блокироваться старыми версиями установленных пакетов.

То есть, он обновил репы, а систему, видимо, не успел.

grem ★★★★★ ()
Последнее исправление: grem (всего исправлений: 1)
Ответ на: комментарий от Shulman

Ну так, ~ полгода прошло с момента выпуска.

Я уже несколько раз писал «настрой BINHOST», чтобы бинарники оттуда тащить по своей сети. Ты что, на каждом из 50 компов собираешься пакеты собирать заново, если они из бинарного репозитория самого дистрибутива не поставляются?

grem ★★★★★ ()
Последнее исправление: grem (всего исправлений: 1)

Почитайте документацию по Calculate Linux.

Если кратко, то Calculate Linux основан на Gentoo Linux, отличие в том, что у Calculate Linux есть свой бинарный репозиторий пакетов, а у Gentoo - нет, она собирается из исходников.

Если я не путаю, то в Calculate Linux есть отдельный свой пакетный менеджер, который используется для установки бинарных пакетов, ЧИТАЙТЕ ДОКУМЕНТАЦИЮ, а если вы будете ставить что-то через emerge, то всё будет компилироваться из исходников.

И в случае компиляции вам нужно в начале синхронизировать версии установленных пакетов с деревом portage от Calculate Linux.

Так что в начале вперёд ЧИТАТЬ ДОКУМЕНТАЦИЮ, потом обновляете систему из БИНАРНОГО РЕПОЗИТОРИЯ КАЛЬКУЛЕЙТ и только в крайнем случае, если точно нужно компилировать запускаете emerge и компилируете.

В противном случае лучше сразу ставьте Gentoo, ну либо если уже начали компилировать - у вас сразу Gentoo и вы будете постоянно компилировать.

Это точно вам нужно?

infomeh ()
Ответ на: комментарий от Shulman

А что почитать?

Классический фундаментальный труд: Unix и Linux руководство системного администратора. Эви Немет, Гарт Снайдер, Трент Хейн, Бэн Уэйли

anonymous ()
Ответ на: комментарий от grem

Я уже несколько раз писал «настрой BINHOST»,

обязательно разбирусь

вот сейчас на физической машине cl-update вернул ошибку, что делать, как посмотреть что мешает провести обновление?

Shulman ()
Ответ на: комментарий от Shulman

вернул ошибку

Эээээ, о тексте ошибки мы узнаем в следующем выпуске «тележурнала»?

Если пакет собирался, то обычно логи лежат в /var/tmp/portage/категория/пакет/temp/build.log

Может быть, начальный путь /var/calculate/..

grem ★★★★★ ()
Ответ на: комментарий от grem
 * (25 из 690) Lib that implements the client side of the SMTP protocol
 * Сборка net-libs/libesmtp-1.0.6-r3 ...                                                                                                               [ ok ]
 * (26 из 690) Шифрованная виртуальная файловая система, использующая модуль FUSE в пользовательском пространстве
 * Сборка sys-fs/encfs-1.9.5 ...                                                                                                                       [ ok ]
 * Установка net-wireless/crda-3.18-r3 [3.18-r1] ...                                                                                                   [ ok ]
 * Установка net-libs/libesmtp-1.0.6-r3 [1.0.6-r1] ...                                                                                                 [ ok ]
 * Установка sys-fs/encfs-1.9.5 [1.9.4] ...                                                                                                            [ ok ]
 *      used by /usr/lib64/chromium/libffmpeg.so (media-video/ffmpeg-3.3.6)
 *      used by /usr/lib64/firefox/libxul.so (www-client/firefox-64.0)
 *      used by /usr/lib64/gstreamer-1.0/libgstvpx.so (media-plugins/gst-plugins-vpx-1.14.1)
 *      used by /usr/lib64/libavcodec.so.57.89.100 (media-video/ffmpeg-3.3.6)
>>> package: media-libs/openexr-2.3.0
 *  - /usr/lib64/libIlmImf-2_2.so.22
 *  - /usr/lib64/libIlmImf-2_2.so.22.0.0
 *      used by /usr/lib64/ImageMagick-7.0.8/modules-Q16/coders/exr.so (media-gfx/imagemagick-7.0.8.16)
 *      used by /usr/lib64/gegl-0.3/exr-load.so (media-libs/gegl-0.3.26)
 *      used by /usr/lib64/gegl-0.3/exr-save.so (media-libs/gegl-0.3.26)
 *      used by 5 other files
>>> package: media-libs/x264-0.0.20190214
 *  - /usr/lib32/libx264.so.152
 *      used by /usr/lib32/libavcodec.so.57.89.100 (media-video/ffmpeg-3.3.6)
 *  - /usr/lib64/libx264.so.152
 *      used by /usr/bin/mencoder (media-video/mplayer-1.3.0-r5)
 *      used by /usr/lib64/chromium/libffmpeg.so (media-video/ffmpeg-3.3.6)
 *      used by /usr/lib64/gstreamer-1.0/libgstx264.so (media-plugins/gst-plugins-x264-1.14.1)
 *      used by 2 other files
>>> package: sys-libs/binutils-libs-2.32-r1
 *  - /usr/lib32/libbfd-2.30.0.gentoo-sys-libs-binutils-libs-st-def.so
 *      used by /usr/lib32/cairo/libcairo-trace.so.0.0.0 (x11-libs/cairo-1.14.12)
 *  - /usr/lib64/libbfd-2.30.0.gentoo-sys-libs-binutils-libs-st-def.so
 *      used by /usr/lib64/cairo/libcairo-trace.so.0.0.0 (x11-libs/cairo-1.14.12)
Use emerge @preserved-rebuild to rebuild packages using these libraries

 * Use eselect news read to view new items.

 * After world updates, it is important to remove obsolete packages with
 * emerge --depclean. Refer to `man emerge` for more information.
 * Выполнение Emerge завершилось с ошибкой
 * Не удалось обновить

вот чем кончается установка

Shulman ()
Ответ на: комментарий от Shulman

Сначала надо почитать выхлоп, который ты сюда и запостил. Внезапно, в нем все написано. И в чем проблема, и что почитать. Ну и Gentoo Handbook, раздел связанный с маскированием.

curufinwe ★★★★★ ()
Ответ на: комментарий от grem

Во всяком случае, если не запускать eix-sync перед установкой софта, бинарные пакеты перестают скачиваться (что-то там о расхождении чексуммы) в кальке. Хотя если не выполнять eix-sync вообще, то всё нормально. Ну я просто таскаю с собой на флешке кальки с десяток пакетов из генты, зачем мне терять полтора гига памяти на eix-sync? Правда, пока не выполнишь, устанавливаться будут только бинарные пакеты которые есть в репе или локально, скомпилировать ничего не выйдет. Хотя я пользуюсь ей как гентой, мне так удобнее, может быть cl-update делает что-то ещё.

Вайн устанавливаю вот так (32 бита онли), у mono и vkd3d отдельные зависимости которые я не хочу таскать. Их я таскаю для wine-staging (вместе с 64 битной поддержкой).

echo =app-emulation/wine-vanilla-4.0.1 ffmpeg -mono -gecko -vulkan -run-exes -udev -udisks -cups -gphoto2 -xinerama -scanner -perl -samba -v4l -vaapi -xattr ABI_X86: 32 -64 >>/etc/portage/package.use/wine
mkdir -p /var/calculate/packages/x86_64/app-emulation/
cp -v /run/media/guest/livedata/guestconfig/winepatched/wine-vanilla-4.0.1.tbz2 /var/calculate/packages/x86_64/app-emulation/
emerge -K =wine-vanilla-4.0.1
rm -v /var/calculate/packages/x86_64/app-emulation/wine-vanilla-4.0.1.tbz2
anonymous ()
Ответ на: комментарий от Shulman

Тогда, если ты новостях не было ничего об обновлении отдельных приложений, попробуй выполнить emerge @preserved-rebuild затем снова cl-update. Хотя странно. Нужен более подробный выхлоп, поэтому лучше запускай cl-update -v

grem ★★★★★ ()
Последнее исправление: grem (всего исправлений: 1)
Ответ на: комментарий от grem

Вообще я просто не знаю чего ожидать, поэтому для меня все это магия.

Я вспоминаю, что это уже не первая остановка при обновлении.

emerge @preserved-rebuild

Уже так делал, обновление продвинулось, но я только сейчас понял благодаря чему.

Сейчас опять делаю emerge @preserved-rebuild, а это не быстро на том компе.

В общем уже больше понимания, поэтому ждем...

Shulman ()
Ответ на: комментарий от Shulman

Просто небинарные зависимости потребовали ручное разруливание зависимостей. А то, что куркулейт базируется на тестовой ветке генты, только усугубляет положение.

Deleted ()
Ответ на: комментарий от grem

Похоже в моей тестовой пекарне какие то проблемы. Она то ли перегревается, то ли еще что. Но рано или поздно начинает давать ошибки на ровном месте.

Я дал ей постоять в выходные, и она продолжила ребилд, а до этого говорила «ошибка сегментации».

В общем возьму сегодня другую машину.

Shulman ()